## localechooser 0.04.0ubuntu17

=== Makefile ===
all: debian/SUPPORTED debian/short-tmp/shortlists debian/templates check-scripts check-data check-utf8

LIST     = languagelist
L10NLIST = languagelist.l10n

debian/templates.base: mktemplates.language debian/localechooser.templates-in $(LIST) $(L10NLIST)
	LC_COLLATE=C ./mktemplates.language $(LIST) $(L10NLIST) debian/templates.lang debian/localechooser.templates-in
	./mktemplates.country debian/templates debian/templates.lang

debian/iso-codes: 
	./get-iso-codes

debian/templates: debian/templates.base debian/short-tmp/shortlists
	./mk_shortlist_templates

debian/SUPPORTED:
	./get-SUPPORTED

debian/short-tmp/shortlists: debian/iso-codes
	./mkshort

check-scripts:
	if [ -x /bin/ash ] ; then SH=ash ; else SH=dash; fi ; \
	for s in prebaseconfig debian/postinst languagemap localechooser ; do \
		$$SH -n $$s ; \
	done

check-utf8: $(L10NLIST)
	iconv -f utf-8 -t unicode $(L10NLIST) > /dev/null

check-data:
	# Check that the listed locale is supported, to make sure base-config knows
	# how to handle it.
	@for locale in `grep -v "^#" $(LIST) | cut -d\; -f2 | grep _` ; do \
		if grep -q "^$$locale " /usr/share/i18n/SUPPORTED ; then \
			: ; \
		else \
			echo "warning: locale $$locale not listed in /usr/share/i18n/SUPPORTED" ; \
		fi ; \
	done

.PHONY: demo
localechooser.templates: debian/templates
	grep -v '#' $^ > $@
demo: localechooser.templates localechooser
	DEBIAN_FRONTEND=dialog DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./localechooser

clean:
	$(RM) localechooser.templates debian/templates debian/templates.lang debian/templates.tmp debian/templates.base SUPPORTED-short
	$(RM) -rf debian/short-tmp debian/iso-codes

=== debian/changelog ===
localechooser (0.04.0ubuntu17) hoary; urgency=low

  * Update Norwegian Bokmål translation (thanks, Terance Edward Sola).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 16:40:36 +0100

localechooser (0.04.0ubuntu16) hoary; urgency=low

  * Add symlink to post-base-installer hook in /usr/lib/casper/pre.d/,
    restoring locale generation on the live CD.
  * Update Greek translation (thanks, Giorgos Logiotatidis).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 13:58:45 +0100

localechooser (0.04.0ubuntu15) hoary; urgency=low

  * Actually create /usr/lib/post-base-installer.d.
  * Include copyright file and changelog in localechooser-data.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 31 Mar 2005 18:21:35 +0100

localechooser (0.04.0ubuntu14) hoary; urgency=low

  * Move locale generation to a post-base-installer hook, so that
    base-config questions that are pulled back to the first stage are
    properly translated. Requires base-installer 1.15ubuntu14.
  * Update Romanian translation (thanks, Ovidiu Damian).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 31 Mar 2005 17:30:14 +0100

localechooser (0.04.0ubuntu13) hoary; urgency=low

  * anna-install bterm-unifont rather than trying to apt-install it (closes:
    Ubuntu #8172).
  * Update Spanish translation (thanks, Enrique Matías Sánchez).
  * Update Xhosa translation (thanks, Adi Attar).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Mar 2005 16:48:20 +0100

localechooser (0.04.0ubuntu12) hoary; urgency=low

  * Update Hungarian translation (thanks, Gabor Burjan).
  * Update Indonesian translation (thanks, Yoppy Hidayanto).
  * Update Polish translation (thanks, Dominik Zabłotny).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Mar 2005 20:05:05 +0100

localechooser (0.04.0ubuntu11) hoary; urgency=low

  * Update Brazilian Portuguese translation (thanks, Carlos Eduardo Pedroza
    Santiviago).
  * Update French translation (thanks, Sebastien Bacher).
  * Update German translation (thanks, Herbert Straub).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Mar 2005 01:20:00 +0000

localechooser (0.04.0ubuntu10) hoary; urgency=low

  * Add draft Xhosa translation (thanks, Adi Attar).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Mar 2005 13:25:49 +0000

localechooser (0.04.0ubuntu9) hoary; urgency=low

  * Set default $LANGUAGE for English installs to just "en" rather than
    "en_US:en_GB:en" (it will be prefixed with the appropriate en_* for the
    selected country), since fallbacks from American to British English and
    vice versa are too annoying (closes: Ubuntu #4271).
  * Add Xhosa, xh_ZA (thanks, Adi Attar).
  * Don't try to install localization-config, since it's not in Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Mar 2005 18:36:27 +0000

localechooser (0.04.0ubuntu8) hoary; urgency=low

  * Use locale-gen --keep-existing, for better performance on the live CD.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Mar 2005 18:32:03 +0000

localechooser (0.04.0ubuntu7) hoary; urgency=low

  * Fix missing space while adding en_US.UTF-8 to
    localechooser/supported-locales.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  9 Mar 2005 01:24:25 +0000

localechooser (0.04.0ubuntu6) hoary; urgency=low

  * Always support English (unless preseeded otherwise), so that we get
    English language packs (closes: Ubuntu #7103).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  8 Mar 2005 02:00:28 +0000

localechooser (0.04.0ubuntu5) hoary; urgency=low

  * Run debconf-updatepo.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  8 Feb 2005 11:55:37 +0000

localechooser (0.04.0ubuntu4) hoary; urgency=low

  * Add localechooser/supported-locales, asked at medium priority, to allow
    the user to select support for extra locales in expert mode.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  8 Feb 2005 11:30:10 +0000

localechooser (0.04.0ubuntu3) hoary; urgency=low

  * Add a localechooser-data package containing lists useful for packages
    (like the Kickstart user interface) that create automatic installation
    scripts.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  3 Feb 2005 12:09:41 +0000

localechooser (0.04.0ubuntu2) hoary; urgency=low

  * Re-merge changes from 0.03ubuntu1 to 0.03ubuntu4.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Jan 2005 16:56:05 +0000

localechooser (0.04.0ubuntu1) hoary; urgency=low

  * Neutralize template text so that it applies to both the installer and live
    CDs

 -- Matt Zimmerman <mdz@canonical.com>  Tue, 25 Jan 2005 23:19:17 -0800

localechooser (0.04) unstable; urgency=low

  * Colin Watson
    - Fix prebaseconfig progress bar template name.
    - Drop priority to optional to avoid causing problems with anna pulling
      in localechooser on top of initrds that use languagechooser instead.
  * Updated translations:
    - Czech (cs.po) by Miroslav Kure
    - Slovak (sk.po) by Peter KLFMANiK Mann

 -- Colin Watson <cjwatson@debian.org>  Thu, 13 Jan 2005 18:06:10 +0000

localechooser (0.03ubuntu4) hoary; urgency=low

  * Add link to prebaseconfig script in /usr/lib/casper/pre.d.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Jan 2005 19:40:38 +0000

localechooser (0.03ubuntu3) hoary; urgency=low

  * Fix prebaseconfig progress bar template name.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 12 Jan 2005 23:23:27 +0000

localechooser (0.03ubuntu2) hoary; urgency=low

  * Drop country question priority back to high.

 -- Colin Watson <cjwatson@canonical.com>  Sat,  1 Jan 2005 23:54:11 +0000

localechooser (0.03ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 24 Dec 2004 16:46:15 +0000

localechooser (0.03) unstable; urgency=low

  * Christian Perrier
    - debian/control: add missing Build-Depends on iso-codes and locales
      Closes: #286848

 -- Christian Perrier <bubulle@debian.org>  Thu, 23 Dec 2004 09:01:07 +0100

localechooser (0.02ubuntu1) hoary; urgency=low



=== debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends-Indep: dash | ash, debhelper (>= 4.2), dpkg-dev (>= 1.9), locales, iso-codes (>= 0.21-1), intltool-debian (>= 0.30+20040212), po-debconf
Standards-Version: 3.6.1.0

Package: localechooser
XC-Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb
XB-Installer-Menu-Item: 9
Description: Choose language/country/locale

Package: localechooser-data
Section: devel
Priority: optional
Architecture: all
Depends: iso-codes
Description: Lists of locales supported by the installer
 This package contains lists of languages, countries, and locales supported
 by the installer, for use by programs that create automatic installation
 scripts.

=== debian/rules ===
#! /usr/bin/make -f

PACKAGE=localechooser
DATAPACKAGE=localechooser-data

build: build-stamp
build-stamp:
	dh_testdir
	chmod u+x ./get-SUPPORTED ./mktemplates.country ./get-iso-codes ./mk_shortlist_templates
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	rm -rf debian/pobuild debian/iso-codes debian/short-tmp debian/locales
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i
	dh_install -p$(PACKAGE) localechooser languagemap usr/bin
	mkdir -p debian/$(PACKAGE)/DEBIAN
	install -m0755 post-base-installer debian/$(PACKAGE)/usr/lib/post-base-installer.d/05localechooser
	install -m0755 prebaseconfig debian/$(PACKAGE)/usr/lib/prebaseconfig.d/05localechooser
	install -m644 languagelist debian/$(PACKAGE)/usr/share/languagelist
	dh_installdirs -p$(PACKAGE) etc
	# The following while we have no other way to get SUPPORTED
	# Should become useless when we will have it
	install -m644 debian/SUPPORTED-short debian/$(PACKAGE)/etc/SUPPORTED-short
	install -m644 debian/short-tmp/shortlists debian/$(PACKAGE)/etc/shortlists
	dh_install -p$(DATAPACKAGE) default-country languagelist regionmap debian/SUPPORTED-short debian/short-tmp/shortlists usr/share/localechooser

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -plocalechooser-data
	dh_installchangelogs -plocalechooser-data
	dh_installdebconf -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_builddeb -i

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## localechooser 0.13ubuntu12

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-all: debian/SUPPORTED debian/short-tmp/shortlists debian/templates check-scripts check-data check-utf8
+all: debian/SUPPORTED-short debian/short-tmp/shortlists debian/templates check-scripts check-data check-utf8
 
 LIST     = languagelist
 L10NLIST = languagelist.l10n
@@ -13,7 +13,7 @@
 debian/templates: debian/templates.base debian/short-tmp/shortlists
 	./mk_shortlist_templates
 
-debian/SUPPORTED:
+debian/SUPPORTED-short:
 	./get-SUPPORTED
 
 debian/short-tmp/shortlists: debian/iso-codes

=== debian/changelog ===
localechooser (0.13ubuntu12) breezy; urgency=low

  * Set labels in oem-config locale window to the translated descriptions of
    the same questions in the installer (Ubuntu #17366).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Oct 2005 21:45:44 +0100

localechooser (0.13ubuntu11) breezy; urgency=low

  * Make nb_NO.UTF8 the locale for Norwegian installs, not no_NO.UTF8.
    Ubuntu #16780

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon,  3 Oct 2005 10:50:06 +0200

localechooser (0.13ubuntu10) breezy; urgency=low

  * Update French translation (thanks, Sebastien Bacher).
  * Update Ubuntu-specific translations from Rosetta (with some strings from
    Debian where available): Finnish, Hungarian, Indonesian, Macedonian,
    Portuguese, Slovak, Swedish.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Sep 2005 17:56:27 +0100

localechooser (0.13ubuntu9) breezy; urgency=low

  * Backport from trunk (Christian Perrier, closes: Ubuntu #14670):
    - languagemap: always set LOCALE, FALLBACKLOCALE, LANGUAGE, COUNTRY
                   even when they were already set before calling the script
      Closes: #315929

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Sep 2005 15:49:18 +0100

localechooser (0.13ubuntu8) breezy; urgency=low

  * oem-config/locale.glade: Set window gravity to center.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Sep 2005 13:22:15 +0100

localechooser (0.13ubuntu7) breezy; urgency=low

  * List pt_PT ahead of pt in LANGUAGE for Portuguese (Portugal)
    installations, otherwise pt_BR translations get displayed in preference
    if the pt translations are shipped as pt_PT.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  2 Sep 2005 14:26:22 +0100

localechooser (0.13ubuntu6) breezy; urgency=low

  * Drop fallbacks for Norwegian bokmål and nynorsk (Ubuntu #4172)

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 24 Aug 2005 10:47:06 +0200

localechooser (0.13ubuntu5) breezy; urgency=low

  * oem-config-locale: Forcibly fetch languagechooser/language-name's list
    of choices in English, to match how the templates file is laid out.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  9 Aug 2005 16:31:03 +0100

localechooser (0.13ubuntu4) breezy; urgency=low

  * oem-config-locale: Write the new default LANG to /etc/default/gdm too.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 29 Jul 2005 16:30:43 +0100

localechooser (0.13ubuntu3) breezy; urgency=low

  * oem-config-locale:
    - Generate the new locale even when backing up out of localechooser, so
      that the debconf frontend can be restarted under it. Yes, this does
      mean that if you select lots of languages in turn you'll end up with a
      huge /etc/locale.gen ...
    - Don't reset debian-installer/locale at the end of localechooser;
      oem-config needs the value, and will reset it itself.
    - When changing the language, continue through localechooser until
      localechooser/supported-locales is asked, so that
      debian-installer/locale gets set.
    - Check whether the language has changed after asking the country
      question, and recalculate a number of things if so.
    - Recover from broken debian-installer/locale settings.
  * Just use Default: rather than Default-$LANG.UTF-8: in shortlist
    templates, so that they can be reset without having to switch debconf's
    locale.
  * Set a sensible default when re-registering countrychooser/shortlist.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 29 Jul 2005 15:32:09 +0100

localechooser (0.13ubuntu2) breezy; urgency=low

  * Add oem-config-locale, providing localechooser as an oem-config module.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 28 Jul 2005 18:51:44 +0100

localechooser (0.13ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Jul 2005 17:16:30 +0100

localechooser (0.13) unstable; urgency=low

  [ Frans Pop ]
  * Add default full country name for Dutch
  * Fix changed named of target in Makefile
  * Fix error in countrylist script when adding countries to region "other"
  [ Christian Perrier ]
  * Default to UTF-8 for Hebrew. Closes: #317800
  [ Colin Watson ]
  * Add Xhosa to the list of languages.

 -- Christian Perrier <bubulle@debian.org>  Fri, 15 Jul 2005 23:16:29 +0200

localechooser (0.12) unstable; urgency=low

  * Rebuilt to get correct defaults for all languages
  * Added translations: 
    - Vietnamese (vi.po) added by Clytie Siddall

 -- Christian Perrier <bubulle@debian.org>  Wed,  6 Jul 2005 14:47:09 +0200

localechooser (0.11) unstable; urgency=low

  * Remove whitespace after "US" in defaults, which po-debconf does not strip.
    Really fixes English default.

 -- Christian Perrier <bubulle@debian.org>  Wed,  6 Jul 2005 14:24:01 +0200

localechooser (0.10) unstable; urgency=low

  * Fix default country for English.

 -- Joey Hess <joeyh@debian.org>  Fri,  1 Jul 2005 10:14:35 -0400

localechooser (0.09) unstable; urgency=low

  [ Christian Perrier ]
  * Add Wolof to the list of languages (commented)
  * Set per-language default countries for the short lists at build time
    and no more at run-time
    Closes: #275904
  * Clean out debian/SUPPORTED-short in the clean target
  * Install localization-config except when there is no localization
    (C locale). Install it always for powerpc
    Closes: #277073
  [ Eddy Petrisor ]
  * changed console font to ter-g16f for Romanian

 -- Christian Perrier <bubulle@debian.org>  Thu, 30 Jun 2005 19:49:19 +0200

localechooser (0.08) unstable; urgency=low

  [ Joey Hess ]
  * Remove some cruft, avoid a hang if the iso_3166.tab is missing.
  * Fix display of questions if localechooser is re-run, which I broke
    before.
  * Make seen flags only be set on variables derived from
    debian-installer/locale if its seen flag is set, which allows for
    preseeding w/o seen flag setting to work also, but means that to avoid
    the questions lowmem must set the seen flag.


=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
 Package: localechooser
 XC-Package-Type: udeb
 Architecture: all
-Depends: cdebconf-udeb
+Depends: cdebconf-udeb, iso-3166-udeb
 XB-Installer-Menu-Item: 9
-Description: Choose language/country/locale
+Description: choose language/country/locale
 
 Package: localechooser-data
 Section: devel
@@ -22,3 +22,13 @@
  This package contains lists of languages, countries, and locales supported
  by the installer, for use by programs that create automatic installation
  scripts.
+
+Package: oem-config-locale
+Section: admin
+Priority: extra
+Architecture: all
+Depends: localechooser-data, iso-codes, apt, base-config
+Enhances: oem-config
+Description: Choose language/country/locale
+ This package provides a locale selection module for oem-config, using
+ similar code to that used in the installer.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 PACKAGE=localechooser
 DATAPACKAGE=localechooser-data
+OCPACKAGE=oem-config-locale
 
 build: build-stamp
 build-stamp:
@@ -15,7 +16,7 @@
 	dh_testroot
 	rm -f build-stamp
 	$(MAKE) clean
-	rm -rf debian/pobuild debian/iso-codes debian/short-tmp debian/locales
+	rm -rf debian/pobuild debian/iso-codes debian/short-tmp debian/locales debian/SUPPORTED-short
 	dh_clean
 
 install: build
@@ -34,13 +35,18 @@
 	install -m644 debian/SUPPORTED-short debian/$(PACKAGE)/etc/SUPPORTED-short
 	install -m644 debian/short-tmp/shortlists debian/$(PACKAGE)/etc/shortlists
 	dh_install -p$(DATAPACKAGE) default-country languagelist regionmap debian/SUPPORTED-short debian/short-tmp/shortlists usr/share/localechooser
+	dh_install -p$(OCPACKAGE) localechooser languagemap oem-config/anna-install oem-config/apt-install oem-config/udpkg usr/lib/oem-config/locale/
+	dh_install -p$(OCPACKAGE) oem-config/locale* usr/lib/oem-config/menu/
 
 binary-indep: build install
 	dh_testdir
 	dh_testroot
-	dh_installdocs -plocalechooser-data
-	dh_installchangelogs -plocalechooser-data
+	dh_installdocs -p$(DATAPACKAGE) -p$(OCPACKAGE)
+	dh_installchangelogs -p$(DATAPACKAGE) -p$(OCPACKAGE)
 	dh_installdebconf -i
+	sed -e 's,Template: debian-installer/localechooser/title,Template: oem-config/menu/locale,' \
+		< debian/$(PACKAGE)/DEBIAN/templates \
+		> debian/$(OCPACKAGE)/usr/lib/oem-config/menu/locale.templates
 	dh_link -i
 	dh_strip -i
 	dh_compress -i

## localechooser 1.37

=== Makefile ===
all: debian/SUPPORTED-short debian/short-tmp/shortlists debian/templates check-scripts check-data check-utf8

LIST     = languagelist
L10NLIST = languagelist.l10n

debian/templates.base: mktemplates.language debian/localechooser.templates-in $(LIST) $(L10NLIST) debian/iso-3166.tab
	LC_COLLATE=C ./mktemplates.language $(LIST) $(L10NLIST) debian/templates.lang debian/localechooser.templates-in
	./mktemplates.country debian/templates debian/templates.lang

debian/iso-codes:
	./get-iso-codes

debian/iso-3166.tab:
	./iso3166tab.py /usr/share/xml/iso-codes/iso_3166.xml >debian/iso-3166.tab

debian/templates: debian/templates.base debian/short-tmp/shortlists
	./mk_shortlist_templates

debian/SUPPORTED-short:
	./get-SUPPORTED

debian/short-tmp/shortlists: debian/iso-codes
	./mkshort

check-scripts:
	if [ -x /bin/ash ] ; then SH=ash ; else SH=dash; fi ; \
	for s in finish-install debian/postinst languagemap localechooser ; do \
		$$SH -n $$s ; \
	done

check-utf8: $(L10NLIST)
	iconv -f utf-8 -t unicode $(L10NLIST) > /dev/null

check-data:
	# Check that the listed locale is supported, to make sure it will work.
	@for locale in `grep -v "^#" $(LIST) | cut -d\; -f5 | grep _` ; do \
		if grep -q "^$$locale " /usr/share/i18n/SUPPORTED ; then \
			: ; \
		else \
			echo "warning: locale $$locale not listed in /usr/share/i18n/SUPPORTED" ; \
		fi ; \
	done

.PHONY: demo
localechooser.templates: debian/templates
	grep -v '#' $^ > $@
demo: localechooser.templates localechooser
	DEBIAN_FRONTEND=dialog DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./localechooser

clean:
	$(RM) localechooser.templates debian/templates debian/templates.lang debian/templates.tmp debian/templates.base SUPPORTED-short debian/iso-3166.tab
	$(RM) -rf debian/short-tmp debian/iso-codes

=== debian/changelog ===
localechooser (1.37) unstable; urgency=low

  [ Christian Perrier ]
  * Fix default for shortlists from locale preseeding. Closes: #411082.
  * Change the localized name for Finnish to "Suomi". Closes: #410354

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Wed, 21 Feb 2007 14:19:36 +0100

localechooser (1.36) unstable; urgency=low

  * Parameter for hands-off installs has been changed to auto-install/enable
    for consistency with rescue.

 -- Frans Pop <fjp@debian.org>  Fri,  2 Feb 2007 17:07:14 +0100

localechooser (1.35) unstable; urgency=low

  [ Christian Perrier ]
  * Change localized name for Belarusian on request of translators.
  * Disable the installation of localization-config as it is not ready for
    production use.

  [ Updated translations ]
  * Italian (it.po) by Stefano Canepa
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 11:44:21 +0100

localechooser (1.34) unstable; urgency=low

  * Add country names in English to the shortlists to ensure we don't display
    only country codes if translations are unavailable. English country names
    go in the Choices field; the Choices-C field is used for the country
    codes. Also put the default for the shortlists in a general Default field,
    instead of setting a language-specific default. Closes: #396109.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Danish (da.po) by Claus Hindsgaul
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Galician (gl.po) by Jacobo Tarrio
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Slovenian (sl.po) by Matej Kovačič
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Recai Oktaş

 -- Frans Pop <fjp@debian.org>  Wed, 24 Jan 2007 02:17:05 +0100

localechooser (1.33) unstable; urgency=low

  * Switch default font used in graphical installer based on selected
    language.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk

 -- Frans Pop <fjp@debian.org>  Mon, 11 Dec 2006 23:40:46 +0100

localechooser (1.32) unstable; urgency=low

  [ Colin Watson ]
  * If there's no default country for the selected language, leave the
    default for countrychooser/country-name alone.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * Kurdish (ku.po) by rizoye-xerzi
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Punjabi (pa.po) by A S Alam

 -- Christian Perrier <bubulle@debian.org>  Tue,  5 Dec 2006 18:47:54 +0100

localechooser (1.31) unstable; urgency=low

  [ Christian Perrier ]
  * Re-activate Georgian after it reached 100% again
  * Activate Malayalam

  [ Colin Watson ]
  * Fix check for selected language when trying to display "no translations
    available" template.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Malayalam (ml.po) by Praveen A
  * Punjabi (pa.po) by A S Alam
  * Slovenian (sl.po) by Matej Kovacic

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 Nov 2006 08:12:21 +0100

localechooser (1.30) unstable; urgency=low

  * Added localized name for Amharic
  * Re-activate Belarusian after it reached 100% again
  [ Updated translations ]
    * Bulgarian (bg.po) by Damyan Ivaniv

 -- Christian Perrier <bubulle@debian.org>  Wed, 15 Nov 2006 06:39:26 +0100

localechooser (1.29) unstable; urgency=low

  * Re-activate Northern Sami to keep that option for Debian-Edu

 -- Christian Perrier <bubulle@debian.org>  Sun, 29 Oct 2006 18:21:12 +0100

localechooser (1.28) unstable; urgency=low

  [ Christian Perrier ]
  * Add Urdu to the localized language list (commented)
  * Write /etc/environment again to circumvent #389466
    This will reopen #379052
  * Languages (hopefully temporarily) disabled because not enough complete
    - Welsh
    - Kazakh
    - Northern Sami
    - Malagasy
    - Persian
    - Icelandic
    - Georgian

  [ Frans Pop ]
  * Add Lintian override for standards-version.
  * Add myself to uploaders.

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Hindi (hi.po) by Nishant Sharma
  * Kurdish (ku.po) by Erdal Ronahi
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Romanian (ro.po) by Eddy Petri?or
  * Tamil (ta.po) by Damodharan Rajalingam
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 15:01:11 +0200

localechooser (1.27) unstable; urgency=low

  [ Frans Pop ]
  * Don't display "no translations available" template for floppy based
    installs if selected language is English.

  [ Christian Perrier ]
  * Desactivate Irish (too incomplete translation now)

  [ Updated translations ]
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Tamil (ta.po) by Damodharan Rajalingam

 -- Christian Perrier <bubulle@debian.org>  Fri, 13 Oct 2006 19:31:28 +0200

localechooser (1.26) unstable; urgency=low

  * Desactivate Xhosa (too incomplete translation now)
  * Desactivate Belarusian (too incomplete translation now)

  [ Updated translations ]
  * Esperanto (eo.po) by Serge Leblanc
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs

 -- Christian Perrier <bubulle@debian.org>  Sat,  7 Oct 2006 22:15:49 +0200

localechooser (1.25) unstable; urgency=low

  * Warn users about temporary use of English during floppy-based installs
    Closes: #269972, #286018

  [ Updated translations ]
    * Basque (eu.po) by Piarres Beobide


=== debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Christian Perrier <bubulle@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 4.2)
Build-Depends-Indep: dash | ash, dpkg-dev (>= 1.9), locales, iso-codes (>= 0.21-1), intltool-debian (>= 0.30+20040212), po-debconf, python, python-xml
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/localechooser

Package: localechooser
XC-Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb, iso-3166-udeb, di-utils (>= 1.15)
XB-Installer-Menu-Item: 10
Description: choose language/country/locale

=== debian/rules ===
#! /usr/bin/make -f

PACKAGE=localechooser

build: build-stamp
build-stamp:
	dh_testdir
	chmod u+x ./get-SUPPORTED ./mktemplates.country ./get-iso-codes ./mk_shortlist_templates
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	rm -rf debian/pobuild debian/iso-codes debian/short-tmp debian/locales debian/SUPPORTED-short
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install localechooser languagemap usr/bin
	mkdir -p debian/$(PACKAGE)/DEBIAN
	install -m0755 post-base-installer debian/$(PACKAGE)/usr/lib/post-base-installer.d/05localechooser
	install -m0755 finish-install debian/$(PACKAGE)/usr/lib/finish-install.d/05localechooser
	cat languagelist | grep -v "^#.*" >debian/$(PACKAGE)/usr/share/localechooser/languagelist
	chmod 0644 debian/$(PACKAGE)/usr/share/localechooser/languagelist
	dh_installdirs etc
	# The following while we have no other way to get SUPPORTED
	# Should become useless when we will have it
	install -m644 debian/SUPPORTED-short debian/$(PACKAGE)/etc/SUPPORTED-short
	install -m644 debian/short-tmp/shortlists debian/$(PACKAGE)/etc/shortlists

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	cp debian/localechooser.isinstallable debian/localechooser/DEBIAN/isinstallable
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## localechooser 1.42ubuntu5belmont1

=== debian/changelog ===
localechooser (1.42ubuntu5belmont1) hardy; urgency=low

  * Trim languagelist to project's supported languages

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Fri, 09 Jan 2009 17:06:09 -0500

localechooser (1.42ubuntu5) hardy; urgency=low

  * Don't assume that /etc/lsb-release is valid shell (LP: #214861).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Apr 2008 00:35:24 +0100

localechooser (1.42ubuntu4) hardy; urgency=low

  * Allow preseeding of debian-installer/language (LP: #85162).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 06 Apr 2008 13:46:16 +0100

localechooser (1.42ubuntu3) hardy; urgency=low

  * If OVERRIDE_SHOW_ALL_LANGUAGES is set in the environment, display all
    languages regardless of frontend (LP: #202291).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Mar 2008 20:07:38 +0000

localechooser (1.42ubuntu2) hardy; urgency=low

  * Drop build dependency on python-xml.
  * iso3166tab.py: Include ErrorPrinter and DefaultHandler from obsolete
    saxutils.py

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Feb 2008 16:45:05 +0000

localechooser (1.42ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Always support English, unless preseeded otherwise.
    - Check whether the language has changed after asking the country
      question, and recalculate a number of things if so.
    - Drop fallbacks for Norwegian Bokmål and Nynorsk.
    - Simplify use of locale-gen using the new command-line argument
      facility in Ubuntu's locales package.
    - Move Portuguese above Portuguese (Brazil) in languagelist.l10n.
    - Add encoding field to languagelist file and use the full SUPPORTED
      file rather than SUPPORTED-short.
    - If the language question was already marked as seen and the answer
      didn't change, then don't recalculate the locale.
  * Set Vcs-Bzr for Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Nov 2007 12:24:59 +0000

localechooser (1.42) unstable; urgency=low

  * Since /etc/default/locale is now a conffile provided by locales,
    sed changes into it rather than overwriting. (Fall back to writing to the
    file if necessary.)

  [ Updated translations ]
  * Belarusian (be.po) by Hleb Rubanau
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Jamil Ahmed
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Stefano Canepa
  * Korean (ko.po) by Sunjae Park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Nepali (ne.po) by Nabin Gautam
  * Dutch (nl.po) by Frans Pop
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Albanian (sq.po) by Elian Myftiu
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Vietnamese (vi.po) by Clytie Siddall

 -- Christian Perrier <bubulle@debian.org>  Thu, 01 Nov 2007 08:54:49 +0100

localechooser (1.41) unstable; urgency=low

  [ Frans Pop ]
  * Change continents prefix to correct characters in Vietnamese translation.
    Closes: #432339.

  [ Christian Perrier ]
  * Set the Bulgarian, Esperanto, Georgian and (commented) Kazakh
    to use UTF-8
  * Unconditionnally set debian-installer/charmap to UTF-8 for
    console-setup purposes.
  * TF region moved to Indian Ocean. Remaining of #426890
  * Create a region named "Atlantic Ocean". Put Bouvet Island, Falkland
    Islands, South Georgia and South Sandwich and Saint-Helena in there.
    Iceland remains in Europe and Greenland as well.
  * Change the default kbd encoding for Bulgarian to "utf8"
  * Change the console settings for (commented) Kazakh to
    "CyrAsia-Terminus16(utf8)"

  [ Jérémy Bobbio ]
  * Prevent grep to exit with an error when country2code is called with a
    region as argument in localechooser.

 -- Christian Perrier <bubulle@debian.org>  Sat, 21 Jul 2007 08:38:53 +0200

localechooser (1.40) unstable; urgency=low

  [ Christian Perrier ]
  * Add the new Serbia and Montenegro entries to Europe.
    Remove the former entry for "Serbia and Montenegro".
    Thanks to Piotr Engelking for the patch. Closes: #426821
  * Correct misplaced countries.
    Thanks to Piotr Engelking for the patch. Closes: #426890

  [ Colin Watson ]
  * Rewrite some inefficient if blocks that can be done in a single
    assignment instead.

  [ Frans Pop ]
  * Set better defaults when localechooser is run again after it has been
    run preseeded the first time.
  * Select language selection template before checking preseeding. This
    allows us to preseed the correct template for the environment we're
    working in. It also improves behavior when preseeding without setting
    the 'seen' flag.
  * Fix bug in code2country function.
  * If for country selection the current (preseeded) value is not in the
    shortlist, show the full list instead.

 -- Frans Pop <fjp@debian.org>  Fri, 06 Jul 2007 00:19:06 +0200

localechooser (1.39) unstable; urgency=low

  * Add localized name for Armenian.
  * Add (commented) entry for Armenian in the language list.
  * No longer write locale settings to /etc/environment after #389466 was
    fixed.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Basque (eu.po) by Piarres Beobide
  * Romanian (ro.po) by Eddy Petri?or

 -- Christian Perrier <bubulle@debian.org>  Mon, 21 May 2007 20:55:03 +0200

localechooser (1.38ubuntu2) gutsy; urgency=low

  * Backport from trunk (Christian Perrier, LP: #140931):
    - Add the new Serbia and Montenegro entries to Europe.


## localechooser 1.42ubuntu5dennis1

=== debian/changelog ===
localechooser (1.42ubuntu5dennis1) hardy; urgency=low

  * Comment out languages from langlist to only display in oem-config those
    langauges that are officially part of the dennis project. Code changes
    made directly in source since this is a one-off with no upstream potential.

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Thu, 18 Sep 2008 14:25:37 -0400

=== debian/rules ===
#! /usr/bin/make -f

PACKAGE=localechooser
DATAPACKAGE=localechooser-data

build: build-stamp
build-stamp:
	dh_testdir
	chmod u+x ./mktemplates.country ./get-iso-codes ./mk_shortlist_templates
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	rm -rf debian/pobuild debian/iso-codes debian/short-tmp debian/locales
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i
	dh_install -p$(PACKAGE) localechooser languagemap usr/bin
	mkdir -p debian/$(PACKAGE)/DEBIAN
	install -m0755 post-base-installer debian/$(PACKAGE)/usr/lib/post-base-installer.d/05localechooser
	install -m0755 finish-install debian/$(PACKAGE)/usr/lib/finish-install.d/05localechooser
	cat languagelist | grep -v "^#.*" >debian/$(PACKAGE)/usr/share/localechooser/languagelist
	chmod 0644 debian/$(PACKAGE)/usr/share/localechooser/languagelist
	dh_installdirs -p$(PACKAGE) etc
	# The following while we have no other way to get SUPPORTED
	# Should become useless when we will have it
	install -m644 /usr/share/i18n/SUPPORTED debian/$(PACKAGE)/usr/share/localechooser/SUPPORTED
	install -m644 debian/short-tmp/shortlists debian/$(PACKAGE)/etc/shortlists
	dh_install -p$(DATAPACKAGE) default-country languagelist regionmap debian/short-tmp/shortlists usr/share/localechooser

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -p$(DATAPACKAGE)
	dh_installchangelogs -p$(DATAPACKAGE)
	dh_installdebconf -i
	cp debian/localechooser.isinstallable debian/localechooser/DEBIAN/isinstallable
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_builddeb -i

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## localechooser 1.42ubuntu5netbook0natick2

=== debian/changelog ===
localechooser (1.42ubuntu5netbook0natick2) natick; urgency=low

  * Remove unlocalized option from languagelist 

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Fri, 03 Apr 2009 01:32:32 +0000

localechooser (1.42ubuntu5netbook0natick1) natick; urgency=low

  * Comment-out languages not supported in natick

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Thu, 02 Apr 2009 20:09:06 +0000

=== debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Christian Perrier <bubulle@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 4.2)
Build-Depends-Indep: dash | ash, dpkg-dev (>= 1.9), locales, iso-codes (>= 0.21-1), intltool-debian (>= 0.30+20040212), po-debconf, python (>= 2.4)
XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/localechooser
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/localechooser/ubuntu

Package: localechooser
XC-Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb, iso-3166-udeb, di-utils (>= 1.15)
XB-Installer-Menu-Item: 1000
Description: choose language/country/locale

Package: localechooser-data
Section: devel
Priority: optional
Architecture: all
Depends: iso-codes
Description: Lists of locales supported by the installer
 This package contains lists of languages, countries, and locales supported
 by the installer, for use by programs that create automatic installation
 scripts.
